Skip to main content

Get branches

GET{{server}}/api/v1/appointment/branches

This request returns the list of branches where the Appointment features is enabled.

The response contains the branch address and GPS coordinates (if it's configured) to show a map and sort the list by distance.

Request​

Authorization​

HeaderValue
AuthorizationSmartToken {{smartToken}}

Headers​

KeyValue
Acceptapplication/json

Code snippets​

curl -X GET '{{server}}/api/v1/appointment/branches' \
-H 'Accept: application/json' \
-H 'Authorization: SmartToken {{smartToken}}'

Example​

Example request
GET{{server}}/api/v1/appointment/branches
Headers (1)
KeyValue
Acceptapplication/json
Example response 200 Ok
Response headers (9)
KeyValue
Access-Control-Expose-Headers*
Cache-Controlno-store, no-cache, must-revalidate
Access-Control-Allow-Origin*
Access-Control-Allow-MethodsPOST, PUT, GET, OPTIONS, DELETE
Access-Control-Allow-Credentialstrue
Content-Length917
Access-Control-Max-Age86400
Access-Control-Allow-HeadersContent-Type, Authorization, X-Requested-With
Content-Typeapplication/json;charset=utf-8
Body
[
{
"key": "00000000-0000-4000-0003-000000000001",
"name": "Default",
"shortName": "DEFAULT",
"defaultLang": "00000000-0000-4000-0004-000000000001",
"timeZone": "Europe/Budapest",
"features": {
"appointment": true,
"waitingArea": true,
"waitingAreaPremium": true,
"voiceRecording": false,
"smartTicket": true,
"feedback": true,
"customerName": false
},
"address": {
"country": "Magyarország",
"zip": "1112",
"city": "Budapest",
"street": "Péterhegyi út.",
"number": "51/b",
"latitude": 47.448782,
"longitude": 19.01472
},
"closingMessage": null
},
{
"defaultLang": "00000000-0000-4000-0004-000000000001",
"timeZone": "Europe/London",
"features": {
"appointment": true,
"waitingArea": true,
"waitingAreaPremium": true,
"voiceRecording": false,
"smartTicket": true,
"feedback": true,
"customerName": false
},
"address": {
"latitude": 46.861786942556826,
"longitude": 6.853825019509822
},
"closingMessage": null,
"name": "Branch 1",
"shortName": "BRN_1",
"key": "1967b6dd-f895-4fb3-92c3-f7d7acd37b1b"
}
]